Bug 1572087 - Redundant synchronization in rename codepath for a single subvolume DHT
Summary: Redundant synchronization in rename codepath for a single subvolume DHT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Raghavendra G
QA Contact: Sachin P Mali
URL:
Whiteboard:
Depends On: 1563511
Blocks: 1503137 1563513
TreeView+ depends on / blocked
 
Reported: 2018-04-26 07:37 UTC by Raghavendra G
Modified: 2018-09-17 08:01 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563511
Environment:
Last Closed: 2018-09-04 06:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:48:40 UTC

Description Raghavendra G 2018-04-26 07:37:03 UTC
+++ This bug was initially created as a clone of Bug #1563511 +++

Description of problem:
No synchronization is needed for a single subvolume DHT in most of the fops and DHT can act as pass through. One important codepath is rename as synchronization cost is high.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-04-04 00:37:04 EDT ---

REVIEW: https://review.gluster.org/19817 (cluster/dht: act as passthrough for renames on single child DHT) posted (#1) for review on master by Raghavendra G

--- Additional comment from Worker Ant on 2018-04-09 22:24:19 EDT ---

COMMIT: https://review.gluster.org/19817 committed in master by "Raghavendra G" <rgowdapp@redhat.com> with a commit message- cluster/dht: act as passthrough for renames on single child DHT

Various synchronization present in dht_rename while handling
directories and files is necessary only if we have more than only one
child.

Change-Id: Ie21ad419125504ca2f391b1ae2e5c1d166fee247
fixes: bz#1563511
Signed-off-by: Raghavendra G <rgowdapp@redhat.com>

Comment 12 errata-xmlrpc 2018-09-04 06:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.